<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [Connection](./puppeteer.connection.md) &gt; [session](./puppeteer.connection.session.md)

## Connection.session() method

<b>Signature:</b>

```typescript
session(sessionId: string): CDPSession | null;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  sessionId | string |  |

<b>Returns:</b>

[CDPSession](./puppeteer.cdpsession.md) \| null

{<!-- -->?CDPSession<!-- -->}

